## arduino 1.8.16%2Bdfsg1

=== debian/changelog ===
arduino (2:1.8.16+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Team upload
  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 18 Sep 2021 12:52:10 +0200

arduino (2:1.8.16+dfsg1-1) unstable; urgency=medium

  * [c6b7f17] New upstream version 1.8.16+dfsg1
  * [407f7cf] Rebuild patch queue from patch queue branch
    Removed patch (obsolete):
    debian-hacks/Don-t-download-any-external-documentation-files.patch
  * [ed2ea42] d/control: Bump Standards-Version to 4.6.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Sep 2021 08:57:43 +0200

arduino (2:1.8.15+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Team upload
  * Rebuild for bullseye-backports.
  * [a216e1e] d/gbp.conf: Adjust to target bullseye

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 22 Aug 2021 13:14:24 +0200
