## arduino 1.8.19+dfsg1

=== debian/changelog ===
arduino (2:1.8.19+dfsg1-5) unstable; urgency=medium

  * Team upload
  * [dde9ba8] Add patch for newer libastyle syntax (Closes: #1104936)
  * [08bfd53] Require libastylej-jni >= 3.6.12 to ensure autoformatter works

 -- Matthias Geiger <werdahias@debian.org>  Mon, 27 Oct 2025 15:30:26 +0100

arduino (2:1.8.19+dfsg1-4) unstable; urgency=medium

  * Team upload
  * Revert the "default-jre | ..." depedency (Closes: #1024460)
  * Remove CDBS leftovers

 -- Alexandre Detiste <tchet@debian.org>  Wed, 24 Sep 2025 18:13:41 +0200

arduino (2:1.8.19+dfsg1-3) unstable; urgency=medium

  * Team upload
  * [8c07b4c] d/control: Depend on libbcutil-java (Closes: #1099511)
  * [b984685] d/control: Bump S-V to 4.7.2, no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Wed, 09 Apr 2025 11:20:48 +0200

arduino (2:1.8.19+dfsg1-2) unstable; urgency=medium

  * Team upload
  * [24cc756] d/control: Remove transitional package policykit-1
    (Closes: #1025548)
  * [b3e95c3] d/control: Add openjdk-17-jre to optional Depends
  * [0798806] d/control: Bump Standards-Version to 4.6.2
  * [9c2b158] d/copyright: Update year data
  * [53f761b] Lintian: Adjust override syntax for arduino package
  * [3f0c153] d/NEWS: Drop the outdated NEWS files

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 12 Aug 2023 09:11:56 +0200

arduino (2:1.8.19+dfsg1-1) unstable; urgency=medium

  * Team upload
  * [d75d6d4] New upstream version 1.8.19+dfsg1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 27 Dec 2021 09:16:32 +0100

arduino (2:1.8.18+dfsg1-1) unstable; urgency=medium

  * Team upload
  * [2c8c580] New upstream version 1.8.18+dfsg1
  * [c98f6a9] d/control: Add needed Build-Depends for manpage build
    To being able to build the manpage arduino.1 from the source additional
    packages are needed, as the source for the manpage is asciidoc we need
    asciidox and xmlto.
  * [d31ebed] d/rules: Add call to build arduino.1 from source
  * [4340dd0] d/arduino.manpages: Use created arduino.1 from source
    Pick up and ship the file arduino.1 from the build directory instead of
    using the old file from the debian/ folder.
    (Closes: #1001758)
  * [ef7cef9] d/arduino.1: Remove the old hand crafted manpage file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 17 Dec 2021 16:13:30 +0100
