=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Scott Howard <showard@debian.org>,
 Build-Depends:
  ant,
+ asciidoc,
  debhelper-compat (= 13),
  default-jdk,
  javahelper,
@@ -14,6 +15,7 @@
  libbatik-java,
  libbcpg-java,
  libbcprov-java,
+ libbcutil-java,
  libcommons-beanutils-java,
  libcommons-codec-java,
  libcommons-compress-java,
@@ -40,11 +42,11 @@
  texlive-latex-base,
  texlive-latex-recommended,
  unzip,
-Standards-Version: 4.6.0
+ xmlto,
+Standards-Version: 4.7.2
 Homepage: https://www.arduino.cc
 Vcs-Browser: https://salsa.debian.org/electronics-team/arduino/arduino
 Vcs-Git: https://salsa.debian.org/electronics-team/arduino/arduino.git
-Rules-Requires-Root: no
 
 Package: arduino
 Architecture: any-amd64 any-i386 arm64 armel armhf
@@ -52,12 +54,13 @@
  arduino-builder (>= 1.3.25-2),
  arduino-core-avr,
  avrdude,
- default-jre | openjdk-11-jre,
+ default-jre | java6-runtime,
  dpkg-dev,
- libastylej-jni,
+ libastylej-jni (>= 3.6.12-~~),
  libbatik-java,
  libbcpg-java,
  libbcprov-java,
+ libbcutil-java,
  libcommons-codec-java,
  libcommons-compress-java,
  libcommons-exec-java,
@@ -83,10 +86,10 @@
  libslf4j-java,
  libxml-commons-external-java,
  libxmlgraphics-commons-java,
+ pkexec,
  ${misc:Depends},
 Recommends:
  extra-xdg-menus,
- policykit-1,
 Breaks:
  arduino-core (<< 2:1.5.6.2+sdfsg2-3.1),
 Replaces:
