=== debian/watch ===
# uscan watch file
version=4

opts="mode=git, \
      uversionmangle=s/-(beta|rc|dev)/~$1/; \
                     s/\.-(beta|rc|dev)\.\d.*//; \
                     s/\.\.//,\
      pgpsigurlmangle=s%$%.asc%,\
      dversionmangle=s/\+dfsg(\.?\d+)?$//" \
      https://github.com/arduino/Arduino \
      refs/tags/(\d+\.\d+\.\d+(?:\.?beta[1-9])?)
