=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java
#export CLASSPATH=/usr/share/java/RXTXcomm.jar:/usr/lib/jvm/default-java/lib/tools.jar:/usr/lib/jvm/default-java/lib/rt.jar:/usr/share/java/oro.jar:/usr/share/java/antlr.jar:/usr/share/java/ecj.jar:/usr/share/java/jna.jar

SVNTAG=$(shell dpkg-parsechangelog | grep Version | cut -f2 -d" " | sed 's/\([0-9].*\)+dfsg-[0-9]/\1/')

%:
	dh $@ --with javahelper

override_dh_clean:
	rm -rf build/linux/work/hardware/tools
	cd core/methods && ant clean
	cd build && ant clean
	dh_clean

override_jh_build:
	jh_linkjars
	mkdir -p build/linux/work/hardware/tools	
	cd core/methods && ant
	cd build && ant
	rm -f build/linux/work/lib/version.txt && echo $(SVNTAG) > build/linux/work/lib/version.txt


override_dh_installchangelogs:
	dh_installchangelogs -k build/linux/work/revisions.txt

override_dh_compress:
	dh_compress -X.pde

override_dh_install:
	find build/linux/work -type d -empty -delete
	dh_install -Xlicense -XLICENSE -XLicense -XMangler/make.sh
	mkdir -p debian/arduino-core/usr/share/arduino/lib
	mv debian/arduino/usr/share/arduino/lib/*.txt debian/arduino-core/usr/share/arduino/lib

override_jh_depends:
#jh_depends can't resolve symlinks
    


#SVNTAG=$(shell dpkg-parsechangelog | grep Version | cut -f2 -d" " | sed 's/\([0-9].*\)+dfsg-[0-9]/\1/')
DESTDIR=$(CURDIR)/debian/arduino-$(SVNTAG)
TARFILE=arduino_$(SVNTAG)+dfsg.orig.tar.gz

get-orig-source:
	wget http://arduino.googlecode.com/files/arduino-$(SVNTAG)-src.tar.gz
	jh_repack --upstream-version $(SVNTAG) arduino-$(SVNTAG)-src.tar.gz
	tar xzf arduino-$(SVNTAG)-src.tar.gz -C debian/
	#remove junk
	find $(DESTDIR) -type f -iname *.jar -or -iname *.tgz -or -iname *.so -or -iname .cvsignore | xargs -n1 rm -f;\
	#find $(DESTDIR) -type d -empty -delete;\
	#find $(DESTDIR) -type d -iname macosx -or -iname windows | xargs -n1 rm -fr;\
	#rm -f $(DESTDIR)/src/processing/app/preproc/.cvsignore;\
	#rm -rf $(DESTDIR)/build/linux/dist/lib;\
	rm -rf $(DESTDIR)/build/linux/dist/tools;\
	#rm -f $(DESTDIR)/.project;\
	#rm -fr $(DESTDIR)/.[a-z]*;\
	#rm -fr $(DESTDIR)/app/.[a-z]*;\
	#rm -fr $(DESTDIR)/hardware/tools;\
	#upstream set a bunch of files as execultable that should not be. remove the -x bit
	find $(DESTDIR) -type f -iname *.jpg -or -iname *.java -or -iname *.pde -or -iname *.h -or -iname *.cpp -or -iname *.c -or -iname makefile -or -iname key*.txt -or -iname pref*.txt -or -iname '*.txt' -print0 | xargs -0 chmod -x;\
	
	tar zcf $(CURDIR)/../$(TARFILE) -C $(CURDIR)/debian arduino-$(SVNTAG);\
	rm -fr $(DESTDIR);\
	rm -fr arduino-$(SVNTAG)-src.tar.gz

PHONY: build clean binary-indep binary install get-orig-source
